VERSION 1.0 CLASS
BEGIN
  MultiUse = 0   'False
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Reporter"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

' This object waits for a while to simulate
' report generation and then fires its ReportReady
' event.
Event ReportReady(ByVal report_contents As String)

' The time in seconds we will delay to simulate
' report generation.
Private SecondsDelay As Single
' Start the report request process.
Public Sub RequestReport(ByVal seconds_delay As Single)
    SecondsDelay = seconds_delay
    
    Set frmStartReport.TheReporter = Me

    ' Enable the timer to start the report.
    frmStartReport.tmrStartReport.Enabled = True
End Sub

' Start creating the report.
Public Sub WakeUp()
Dim stop_time As Single

    ' Waste some time.
    stop_time = Timer + SecondsDelay
    Do
        DoEvents
    Loop While Timer < stop_time

    ' Return the dummy report.
    RaiseEvent ReportReady( _
        "This report was generated after a delay of " & _
        Format$(SecondsDelay, "0.00") & _
        " seconds.")

    ' Unload the form so we can exit.
    Unload frmStartReport
End Sub
